Suspend a user
curl --request POST \
--url https://raas-widgets-backend-sandbox.up.railway.app/partner/users/{userId}/suspend \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "Pending review of recent transfer activity"
}
'import requests
url = "https://raas-widgets-backend-sandbox.up.railway.app/partner/users/{userId}/suspend"
payload = { "reason": "Pending review of recent transfer activity" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Pending review of recent transfer activity'})
};
fetch('https://raas-widgets-backend-sandbox.up.railway.app/partner/users/{userId}/suspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"userId": "user_acme_x1y2z3",
"suspended": true,
"suspendedAt": "2026-02-10T15:00:00.000Z",
"suspendedReason": "Pending review of recent transfer activity"
}
}Partner - Users
Suspend a user
Suspends a user. Suspended users can still open their magic links and view the status of their operations, but cannot create new operations. Partners can still create magic links for suspended users. Optionally provide a reason.
POST
/
partner
/
users
/
{userId}
/
suspend
Suspend a user
Authorizations
Your partner API key. Use raas_sandbox_* keys for the sandbox environment and raas_live_* keys for production.
Path Parameters
M2M user identifier
Example:
"user_acme_x1y2z3"
Body
application/json
Human-readable reason for suspending the user. Stored for audit purposes and returned in user detail responses. Max 500 characters.
Example:
"Pending review of recent transfer activity"
⌘I